%global rbname rd2html-ext
Summary: RD formatter
Name: ruby-%{rbname}

%global momorel 1

Version: 0.1.3
Release: %{momorel}m
Group: Applications/Text
License: GPL and Ruby
URL: http://www.rubyist.net/~rubikitch/computer/rd2html-ext/

%NoSource 0 http://www.rubyist.net/~rubikitch/archive/%{rbname}-%{version}.tar.gz e74667b8bcc3d5ec00c935fa59292473

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPreReq: ruby

Requires: ruby-rdtool

%description
ruby-rd2html-ext

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n rd2html-ext-%{version}

%build

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
ruby setup.rb config \
    --rb-dir=%{buildroot}%{ruby_libdir}
ruby setup.rb install

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc sample rd2html-ext.rd GPL
%{ruby_libdir}/rd/*

%changelog
* Thu May 20 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.1.3-1m)
- verup

* Wed Oct 22 2003 zunda <zunda at freeshell.org>
- (0.1.2-6m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.1.2-5m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.1.2-4m)
- rebuild against ruby-1.8.0.

* Sat Jan 18 2003 HOSONO Hidetomo <h@h12o.org>
- (0.1.2-3m)
- use buildroot macro instead of RPM_BUILD_ROOT environment variable
- change my mail address on the previous changelog entry,
  "h@h12o.org" to "h12o@h12o.org" :D

* Wed Aug 14 2002 Kenta MURATA <muraken2@nifty.com>
- (0.1.2-2m)
- BuildPreReq: ruby

* Thu Jul  4 2002 HOSONO Hidetomo <h12o@h12o.org>
- (ruby-rd2html-ext-0.1.2-1m)
- initial release
